From 1fa264cbc3ee7775adaf4a682e2edd229b5b16db Mon Sep 17 00:00:00 2001
From: Nathan Bossart <nathan@postgresql.org>
Date: Wed, 4 Jun 2025 14:24:38 -0500
Subject: [PATCH v1 1/2] fix sign mismatches in test_dsm_registry

---
 src/test/modules/test_dsm_registry/test_dsm_registry.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/test/modules/test_dsm_registry/test_dsm_registry.c b/src/test/modules/test_dsm_registry/test_dsm_registry.c
index 462a80f8790..96a890be228 100644
--- a/src/test/modules/test_dsm_registry/test_dsm_registry.c
+++ b/src/test/modules/test_dsm_registry/test_dsm_registry.c
@@ -54,7 +54,7 @@ set_val_in_shmem(PG_FUNCTION_ARGS)
 	tdr_attach_shmem();
 
 	LWLockAcquire(&tdr_state->lck, LW_EXCLUSIVE);
-	tdr_state->val = PG_GETARG_UINT32(0);
+	tdr_state->val = PG_GETARG_INT32(0);
 	LWLockRelease(&tdr_state->lck);
 
 	PG_RETURN_VOID();
@@ -72,5 +72,5 @@ get_val_in_shmem(PG_FUNCTION_ARGS)
 	ret = tdr_state->val;
 	LWLockRelease(&tdr_state->lck);
 
-	PG_RETURN_UINT32(ret);
+	PG_RETURN_INT32(ret);
 }
-- 
2.39.5 (Apple Git-154)

